Skip to content

GET Travel reimbursement

This will get travel reimbursement entries from the database.

Location

/api/v1/office/travel-reimburse/

Permissions required

office-travel-reimburse RO

Note

You can only get the travel reimbursements of your user.

Body parameters

Parameter Type Required Description
builder[0][between][0] string no Get between travel_date
builder[0][between][1] date no For example 2026-06-01
builder[0][between][2] date no For example 2026-06-25
builder[0][where][0] string no
builder[0][where][1] string no

Example Body (json)

None.

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/office/travel-reimburse/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURL  INFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

[
   {
      "reimburse_uuid":"1c0b5323-6d79-11f1-8c62-bc2411125ba4",
      "user_uuid":"5219edbb-512d-11f1-8bac-bc2411125ba4",
      "departure_postcode":"3448BT",
      "destination_postcode":"3433AA",
      "travel_distance":56,
      "travel_date":"2026-06-21",
      "travel_description":null,
      "company_uuid":null,
      "company_name":null
   },
   {
      "reimburse_uuid":"85d5db8a-6d79-11f1-8c62-bc2411125ba4",
      "user_uuid":"5219edbb-512d-11f1-8bac-bc2411125ba4",
      "departure_postcode":"3448BT",
      "destination_postcode":"3433AA",
      "travel_distance":56,
      "travel_date":"2026-06-21",
      "travel_description":null,
      "company_uuid":null,
      "company_name":null
   }
]

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.